Package com.databend.jdbc.cloud

# Interface DatabendPresignClient

All Known Implementing Classes:
  `DatabendPresignClientV1`

public interface DatabendPresignClient

## Method Summary

Modifier and Type
Method
Description
`void`
`presignDownload(String destFileName, okhttp3.Headers headers, String presignedUrl)`
`InputStream`
`presignDownloadStream(okhttp3.Headers headers, String presignedUrl)`
`void`
`presignUpload(File srcFile, InputStream inputStream, okhttp3.Headers headers, String presignedUrl, boolean uploadFromStream)`

## Method Details

### presignUpload

void presignUpload(File srcFile, InputStream inputStream, okhttp3.Headers headers, String presignedUrl, boolean uploadFromStream) throws IOException

Throws:
  `IOException`

### presignDownload

void presignDownload(String destFileName, okhttp3.Headers headers, String presignedUrl)

### presignDownloadStream

InputStream presignDownloadStream(okhttp3.Headers headers, String presignedUrl)